diff -ur p0f-3.06b/build.sh p0f-3.06b-openbsd/build.sh
--- p0f-3.06b/build.sh	2012-09-30 06:51:20.000000000 +0200
+++ p0f-3.06b-openbsd/build.sh	2013-03-27 09:39:22.192708843 +0100
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # p0f - build script
 # ------------------
@@ -10,6 +10,7 @@
 
 PROGNAME="p0f"
 VERSION="3.06b"
+OSTYPE=`uname -s | tr '[A-Z]' '[a-z]'`
 
 test "$CC" = "" && CC="gcc"
 
@@ -49,7 +50,7 @@
   echo "[*] Cleaning up build environment..."
   rm -f -- "$PROGNAME" *.exe *.o a.out *~ core core.[1-9][0-9]* *.stackdump COMPILER-WARNINGS 2>/dev/null
 
-  ( cd tools && make clean ) &>/dev/null
+  ( cd tools && make clean ) >/dev/null 2>&1
 
   if [ "$1" = "publish" ]; then
 
@@ -154,9 +155,9 @@
 rm -f "$TMP" || exit 1
 
 echo "int main() { return 0; }" >"$TMP.c" || exit 1
-$CC $BASIC_CFLAGS $BASIC_LDFLAGS "$TMP.c" -o "$TMP" &>"$TMP.log"
+$CC $BASIC_CFLAGS $BASIC_LDFLAGS "$TMP.c" -o "$TMP" >"$TMP.log" 2>&1
 
-if [ ! -x "$TMP" ]; then
+if [ ! -e "$TMP" ]; then
 
   echo "FAIL"
   echo
@@ -179,7 +180,7 @@
 rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
 echo "int main() { return 0; }" >"$TMP.c" || exit 1
-$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" &>"$TMP.log"
+$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" >"$TMP.log" 2>&1
 
 if [ ! -x "$TMP" ]; then
 
@@ -197,8 +198,8 @@
 
 rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
-echo -e "#include \"types.h\"\nvolatile u8 tmp[6]; int main() { printf(\"%d\x5cn\", *(u32*)(tmp+1)); return 0; }" >"$TMP.c" || exit 1
-$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" &>"$TMP.log"
+printf "#include \"types.h\"\n#include <stdio.h>\nvolatile u8 tmp[6]; int main() { printf(\"%d\x5cn\", *(u32*)(tmp+1)); return 0; }" >"$TMP.c" || exit 1
+$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" >"$TMP.log" 2>&1
 
 if [ ! -x "$TMP" ]; then
 
@@ -215,8 +216,8 @@
 
 else
 
-  ulimit -c 0 &>/dev/null
-  ./"$TMP" &>/dev/null
+  ulimit -c 0 >/dev/null 2>&1
+  ./"$TMP" >/dev/null 2>&1
 
   if [ "$?" = "0" ]; then
 
@@ -236,8 +237,8 @@
 
 rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
-echo -e "#include <pcap.h>\nint main() { char i[PCAP_ERRBUF_SIZE]; pcap_lookupdev(i); return 0; }" >"$TMP.c" || exit 1
-$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS &>"$TMP.log"
+printf "#include <pcap.h>\nint main() { char i[PCAP_ERRBUF_SIZE]; pcap_lookupdev(i); return 0; }" >"$TMP.c" || exit 1
+$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS >"$TMP.log" 2>&1
 
 if [ ! -x "$TMP" ]; then
   echo "FAIL"
@@ -281,15 +282,15 @@
 
 rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
-echo -e "#include <pcap.h>\n#include <pcap-bpf.h>\nint main() { return 0; }" >"$TMP.c" || exit 1
-$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS &>"$TMP.log"
+printf "#include <pcap.h>\n#include <pcap-bpf.h>\nint main() { return 0; }" >"$TMP.c" || exit 1
+$CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS >"$TMP.log" 2>&1
 
 if [ ! -x "$TMP" ]; then
 
   rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
-  echo -e "#include <pcap.h>\n#include <net/bpf.h>\nint main() { return 0; }" >"$TMP.c" || exit 1
-  $CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS &>"$TMP.log"
+  printf "#include <pcap.h>\n#include <net/bpf.h>\nint main() { return 0; }" >"$TMP.c" || exit 1
+  $CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" $USE_LIBS >"$TMP.log" 2>&1
 
   if [ ! -x "$TMP" ]; then
     echo "FAIL"
@@ -318,7 +319,7 @@
 
 rm -f "$PROGNAME" || exit 1
 
-$CC $USE_CFLAGS $USE_LDFLAGS "$PROGNAME.c" $OBJFILES -o "$PROGNAME" $USE_LIBS &>"$TMP.log"
+$CC $USE_CFLAGS $USE_LDFLAGS "$PROGNAME.c" $OBJFILES -o "$PROGNAME" $USE_LIBS >"$TMP.log" 2>&1
 
 if [ ! -x "$PROGNAME" ]; then
 
